field_expr_variational_terminal.h File Reference

Go to the source code of this file.

## Classes

struct | is_field_expr_v2_variational_arg< T >
struct | is_field_expr_v2_variational_arg< test_basic< T, M, VfTag > >
struct | is_field_expr_v2_variational_arg< test_component< T, M, VfTag > >
class | field_expr_v2_variational_grad< Expr >
struct | is_field_expr_v2_variational_arg< field_expr_v2_variational_grad< Expr > >
class | field_expr_v2_variational_div< Expr >
struct | is_field_expr_v2_variational_arg< field_expr_v2_variational_div< Expr > >
class | field_expr_v2_variational_curl< Expr >
struct | is_field_expr_v2_variational_arg< field_expr_v2_variational_curl< Expr > >
class | field_expr_v2_variational_dg< Expr >
struct | is_field_expr_v2_variational_arg< field_expr_v2_variational_dg< Expr > >

## Namespaces

| rheolef
| This file is part of Rheolef.
| rheolef::details

## Macros

#define | _RHEOLEF_make_field_expr_v2_variational_dg(op, c0, c1)

## Functions

template<class Expr >
std::enable_if< details::is_field_expr_v2_variational_arg< Expr >::value,details::field_expr_v2_variational_grad< Expr >>::type | grad (const Expr &expr)
template<class Expr >
std::enable_if< details::is_field_expr_v2_variational_arg< Expr >::value,details::field_expr_v2_variational_grad< Expr >>::type | grad_s (const Expr &expr)
template<class Expr >
std::enable_if< details::is_field_expr_v2_variational_arg< Expr >::value,details::field_expr_v2_variational_grad< Expr >>::type | grad_h (const Expr &expr)
template<class Expr >
std::enable_if< details::is_field_expr_v2_variational_arg< Expr >::value,details::field_expr_v2_variational_grad< Expr >>::type | D (const Expr &expr)
template<class Expr >
std::enable_if< details::is_field_expr_v2_variational_arg< Expr >::value,details::field_expr_v2_variational_grad< Expr >>::type | Ds (const Expr &expr)
template<class Expr >
std::enable_if< details::is_field_expr_v2_variational_arg< Expr >::value,details::field_expr_v2_variational_grad< Expr >>::type | Dh (const Expr &expr)
template<class Expr >
std::enable_if< details::is_field_expr_v2_variational_arg< Expr >::value,details::field_expr_v2_variational_div< Expr >>::type | div (const Expr &expr)
template<class Expr >
std::enable_if< details::is_field_expr_v2_variational_arg< Expr >::value,details::field_expr_v2_variational_div< Expr >>::type | div_s (const Expr &expr)
template<class Expr >
std::enable_if< details::is_field_expr_v2_variational_arg< Expr >::value,details::field_expr_v2_variational_div< Expr >>::type | div_h (const Expr &expr)
template<class Expr >
std::enable_if< details::is_field_expr_v2_variational_arg< Expr >::value,details::field_expr_v2_variational_curl< Expr >>::type | curl (const Expr &expr)
template<class Expr >
std::enable_if< details::is_field_expr_v2_variational_arg< Expr >::value,details::field_expr_v2_variational_curl< Expr >>::type | bcurl (const Expr &expr)
| _RHEOLEF_make_field_expr_v2_variational_dg (jump, 1, -1) _RHEOLEF_make_field_expr_v2_variational_dg(average
| _RHEOLEF_make_field_expr_v2_variational_dg (inner, 1, 0) _RHEOLEF_make_field_expr_v2_variational_dg(outer

## Macro Definition Documentation

## _RHEOLEF_make_field_expr_v2_variational_dg

#define _RHEOLEF_make_field_expr_v2_variational_dg | ( |  | op,
|  |  | c0,
|  |  | c1
| ) |  |

Value:
template<class Expr> \
inline \
typename \
std::enable_if< \
details::is_field_expr_v2_variational_arg<Expr>::value \
,details::field_expr_v2_variational_dg<Expr> \
>::type \
op (const Expr& expr) \
{ \
return details::field_expr_v2_variational_dg <Expr> (expr, c0, c1); \
}

Definition at line 908 of file field_expr_variational_terminal.h.

mkgeo_ball.expr
expr
Definition: mkgeo_ball.sh:361